CREATE TABLE IF NOT EXISTS ntc_temp_manifest (remote_url TEXT NOT NULL, etag TEXT NOT NULL,
insert_epoch INTEGER  NOT NULL, master_bundle_id TEXT NOT NULL, stored_in_dropship INTEGER NOT NULL,
workouts_asset_id TEXT NOT NULL, cues_asset_id TEXT NOT NULL, localized_strings_asset_id TEXT NOT NULL,
featured_workouts_asset_id TEXT NOT NULL DEFAULT "", version FLOAT NOT NULL DEFAULT 0,
created_at LONG NON NULL DEFAULT 0,  UNIQUE (remote_url, etag) ON CONFLICT REPLACE );

INSERT INTO ntc_temp_manifest SELECT * FROM ntc_manifest;
DROP TABLE ntc_manifest;

CREATE TABLE IF NOT EXISTS ntc_manifest (remote_url TEXT NOT NULL, etag TEXT NOT NULL,
insert_epoch INTEGER  NOT NULL, master_bundle_id TEXT NOT NULL, stored_in_dropship INTEGER NOT NULL,
workouts_asset_id TEXT NOT NULL, cues_asset_id TEXT NOT NULL, localized_strings_asset_id TEXT NOT NULL,
featured_workouts_asset_id TEXT NOT NULL DEFAULT "", version FLOAT NOT NULL DEFAULT 0,
created_at LONG NON NULL DEFAULT 0,  UNIQUE (remote_url, etag) ON CONFLICT REPLACE );

INSERT INTO ntc_manifest SELECT * FROM ntc_temp_manifest;

DROP TABLE ntc_temp_manifest;
