ALTER TABLE ntc_workout ADD COLUMN w_share_message_key TEXT;

DROP VIEW v_ntc_workout;

CREATE VIEW IF NOT EXISTS v_ntc_workout AS
    SELECT w.w_workout_id AS w_workout_id,
    w.w_workout_id AS w_workout_id,
    w.w_estimated_rpe AS w_estimated_rpe,
    w.w_estimated_fuel AS w_estimated_fuel,
    w.w_estimated_kcal AS w_estimated_kcal,
    w.w_is_benchmark AS w_is_benchmark,
    w.w_duration_sec AS w_duration_sec,
    w.w_estimated_duration_sec AS w_estimated_duration_sec,
    w.w_focus AS w_focus,
    w.w_intensity AS w_intensity,
    w.w_type AS w_type,
    w.w_level AS w_level,
    w.w_equipment AS w_equipment,
    w.w_name_key AS w_name_key,
    w.w_athlete_key AS w_athlete_key,
    w.w_author_key AS w_author_key,
    w.w_quote_key AS w_quote_key,
    w.w_content_version AS w_content_version,
    w.w_intro_subtitles AS w_intro_subtitles,
    w.w_publish_date AS w_publish_date,
    w.w_share_message_key AS w_share_message_key,
    s1.str_value AS w_name,
    s2.str_value AS w_author,
    s3.str_value AS w_quote,
    s4.str_value AS w_athlete,
    s5.str_value AS w_share_message
    FROM ntc_workout AS w
    LEFT JOIN ntc_string AS s1 ON (s1.str_key = w_name_key)
    LEFT JOIN ntc_string AS s2 ON (s2.str_key = w_author_key)
    LEFT JOIN ntc_string AS s3 ON (s3.str_key = w_quote_key)
    LEFT JOIN ntc_string AS s4 ON (s4.str_key = w_athlete_key)
    LEFT JOIN ntc_string AS s5 ON (s5.str_key = w_share_message_key);