DROP VIEW IF EXISTS v_drills_strings;

CREATE VIEW IF NOT EXISTS v_drills_strings AS
SELECT d_drill_id, d_name_key, d_subtitle_key, d_type, d_metric_type, d_metric_value,
d_est_duration_sec, d_transition_sec, d_duration_sec, s1.str_value
AS d_name, s2.str_value AS d_subtitle FROM ntc_drill AS d
LEFT JOIN ntc_string
AS s1 ON (s1.str_key = d_name_key) LEFT JOIN ntc_string AS s2 ON (s2.str_key = d_subtitle_key);
