(function() {
    var builderConfig = {
        hasTouch: true,
        analyticsId: "{analyticsId}",
        adobeMarketingCloudVisitorId: "{adobeMarketingCloudVisitorId}",
        builderMode: "default",
        locale: "{locale}",
        country: "{country}",
        {idKey}: "{idValue}",
        fetchCapacity: true,
        sizeTypeRegion: "{sizeTypeRegion}",
        pathName: "{pathName}",
        myDesignsEnabled: true,
        dataAsStrings: true,
        enableSwooshPricing: {isSwooshUser},
        'nike-api-caller-id': "com.nike.commerce.omega.droid",
        bridge: {
            onProductLoad: function(buildData) { {host}.onProductLoad(buildData); },
            onDone: function(buildData) { {host}.onDone(buildData); },
            onShareDesign: function(metricID) { {host}.onShareDesign(metricID);},
            onSaveDesign: function(metricID) { {host}.onSaveDesign(metricID);},
            onError: function(error) { {host}.onError(error); }
        }
    };

    var rootElement = document.getElementById('{builderElem}');

    window.androidBuilderApi = nikeIdBuilder(rootElement, builderConfig);

    return window.androidBuilderApi;
})();