CREATE TRIGGER IF NOT EXISTS t_wi_workout_insert_duration
    AFTER INSERT ON ntc_workout
    FOR EACH ROW BEGIN
    INSERT INTO ntc_workout_indices(w_workout_id, wi_index_type, w_duration_sec, wi_publish_date, wi_s_id, wi_s_value)
    SELECT w_workout_id, 11, 0, w_publish_date, '',
        CASE WHEN w_duration_sec <= 1350 THEN '15 min' WHEN w_duration_sec > 1350 AND
        w_duration_sec <= 2250 THEN '30 min' else '45 min' END AS w_duration_text FROM ntc_workout
        WHERE w_workout_id = NEW.w_workout_id; END;

