-- TABLES
ALTER TABLE ntc_workout_indices ADD COLUMN wi_publish_date INTEGER DEFAULT 0;

-- TRIGGER
DROP TRIGGER IF EXISTS  t_wi_workout_insert_name;

CREATE TRIGGER IF NOT EXISTS t_wi_workout_insert_name AFTER INSERT ON ntc_workout FOR EACH ROW BEGIN INSERT INTO ntc_workout_indices( w_workout_id, wi_index_type, w_duration_sec, wi_s_id, wi_publish_date) VALUES (NEW.w_workout_id, 0, NEW.w_duration_sec, NEW.w_name_key, NEW.w_publish_date);END;
